# Record Class CSConfigurationParameterDescription

java.lang.Object
java.lang.Record
com.io7m.certusine.api.CSConfigurationParameterDescription

Record Components:
  `name` - The parameter name
  `description` - The parameter description
  `format` - The parameter format
  `required` - `true` if the parameter is required

public record CSConfigurationParameterDescription(String name, String description, String format, boolean required) extends Record
The description of a configuration parameter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSConfigurationParameterDescription(String name, String description, String format, boolean required)`
  The description of a configuration parameter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `description()`
  Returns the value of the `description` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `format()`
  Returns the value of the `format` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `name()`
  Returns the value of the `name` record component.
  `boolean`
  `required()`
  Returns the value of the `required` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CSConfigurationParameterDescription

    public CSConfigurationParameterDescription(String name, String description, String format, boolean required)
    The description of a configuration parameter.
    Parameters:
      `name` - The parameter name
      `description` - The parameter description
      `format` - The parameter format
      `required` - `true` if the parameter is required

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### description

    public String description()
    Returns the value of the `description` record component.
    Returns:
      the value of the `description` record component

  - ### format

    public String format()
    Returns the value of the `format` record component.
    Returns:
      the value of the `format` record component

  - ### required

    public boolean required()
    Returns the value of the `required` record component.
    Returns:
      the value of the `required` record component